devel/ruby-polyglot - The NetBSD Packages Collection

Registry of file types to load with its improved version of 'require'

Polyglot provides a registry of file types that can be loaded by calling
its improved version of 'require'. Each file extension that can be handled
by a custom loader is registered by callingPolyglot.register("ext", ),
and then you can simply require "somefile", which will find and load
"somefile.ext" using your custom loader.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/ruby26-base

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfruby25-polyglot-0.3.5.tgz
NetBSD 8.0earmv7hfruby26-polyglot-0.3.5.tgz
NetBSD 8.0earmv7hfruby27-polyglot-0.3.5.tgz
NetBSD 8.0earmv7hfruby25-polyglot-0.3.5.tgz
NetBSD 8.0earmv7hfruby26-polyglot-0.3.5.tgz
NetBSD 8.0earmv7hfruby27-polyglot-0.3.5.tgz
NetBSD 8.0earmv7hfruby25-polyglot-0.3.5.tgz
NetBSD 8.0earmv7hfruby26-polyglot-0.3.5.tgz
NetBSD 8.0earmv7hfruby27-polyglot-0.3.5.tgz
NetBSD 8.0i386ruby25-polyglot-0.3.5.tgz
NetBSD 8.0i386ruby26-polyglot-0.3.5.tgz
NetBSD 8.0i386ruby27-polyglot-0.3.5.tgz
NetBSD 8.0i386ruby25-polyglot-0.3.5.tgz
NetBSD 8.0i386ruby26-polyglot-0.3.5.tgz
NetBSD 8.0i386ruby27-polyglot-0.3.5.tgz
NetBSD 8.0i386ruby25-polyglot-0.3.5.tgz
NetBSD 8.0i386ruby26-polyglot-0.3.5.tgz
NetBSD 8.0i386ruby27-polyglot-0.3.5.tgz
NetBSD 8.0powerpcruby24-polyglot-0.3.5.tgz
NetBSD 8.0powerpcruby25-polyglot-0.3.5.tgz
NetBSD 8.0powerpcruby26-polyglot-0.3.5.tgz
NetBSD 8.0powerpcruby27-polyglot-0.3.5.tgz
NetBSD 8.0powerpcruby24-polyglot-0.3.5.tgz
NetBSD 8.0powerpcruby25-polyglot-0.3.5.tgz
NetBSD 8.0powerpcruby26-polyglot-0.3.5.tgz
NetBSD 8.0powerpcruby27-polyglot-0.3.5.tgz
NetBSD 8.0powerpcruby24-polyglot-0.3.5.tgz
NetBSD 8.0powerpcruby25-polyglot-0.3.5.tgz
NetBSD 8.0powerpcruby26-polyglot-0.3.5.tgz
NetBSD 8.0powerpcruby27-polyglot-0.3.5.tgz
NetBSD 8.0x86_64ruby25-polyglot-0.3.5.tgz
NetBSD 8.0x86_64ruby26-polyglot-0.3.5.tgz
NetBSD 8.0x86_64ruby27-polyglot-0.3.5.tgz
NetBSD 8.0x86_64ruby25-polyglot-0.3.5.tgz
NetBSD 8.0x86_64ruby26-polyglot-0.3.5.tgz
NetBSD 8.0x86_64ruby27-polyglot-0.3.5.tgz
NetBSD 9.0aarch64ruby25-polyglot-0.3.5.tgz
NetBSD 9.0aarch64ruby26-polyglot-0.3.5.tgz
NetBSD 9.0aarch64ruby27-polyglot-0.3.5.tgz
NetBSD 9.0aarch64ruby30-polyglot-0.3.5.tgz
NetBSD 9.0aarch64ruby25-polyglot-0.3.5.tgz
NetBSD 9.0aarch64ruby26-polyglot-0.3.5.tgz
NetBSD 9.0aarch64ruby27-polyglot-0.3.5.tgz
NetBSD 9.0aarch64ruby25-polyglot-0.3.5.tgz
NetBSD 9.0aarch64ruby26-polyglot-0.3.5.tgz
NetBSD 9.0aarch64ruby27-polyglot-0.3.5.tgz
NetBSD 9.0alpharuby25-polyglot-0.3.5.tgz
NetBSD 9.0alpharuby26-polyglot-0.3.5.tgz
NetBSD 9.0alpharuby27-polyglot-0.3.5.tgz
NetBSD 9.0alpharuby25-polyglot-0.3.5.tgz
NetBSD 9.0alpharuby26-polyglot-0.3.5.tgz
NetBSD 9.0alpharuby27-polyglot-0.3.5.tgz
NetBSD 9.0alpharuby25-polyglot-0.3.5.tgz
NetBSD 9.0alpharuby26-polyglot-0.3.5.tgz
NetBSD 9.0alpharuby27-polyglot-0.3.5.tgz
NetBSD 9.0earmruby25-polyglot-0.3.5.tgz
NetBSD 9.0earmruby26-polyglot-0.3.5.tgz
NetBSD 9.0earmv6hfruby25-polyglot-0.3.5.tgz
NetBSD 9.0earmv6hfruby26-polyglot-0.3.5.tgz
NetBSD 9.0earmv6hfruby27-polyglot-0.3.5.tgz
NetBSD 9.0earmv6hfruby30-polyglot-0.3.5.tgz
NetBSD 9.0earmv6hfruby25-polyglot-0.3.5.tgz
NetBSD 9.0earmv6hfruby26-polyglot-0.3.5.tgz
NetBSD 9.0earmv6hfruby27-polyglot-0.3.5.tgz
NetBSD 9.0earmv6hfruby25-polyglot-0.3.5.tgz
NetBSD 9.0earmv6hfruby26-polyglot-0.3.5.tgz
NetBSD 9.0earmv6hfruby27-polyglot-0.3.5.tgz
NetBSD 9.0earmv6hfruby25-polyglot-0.3.5.tgz
NetBSD 9.0earmv6hfruby26-polyglot-0.3.5.tgz
NetBSD 9.0earmv6hfruby27-polyglot-0.3.5.tgz
NetBSD 9.0earmv7hfruby25-polyglot-0.3.5.tgz
NetBSD 9.0earmv7hfruby26-polyglot-0.3.5.tgz
NetBSD 9.0earmv7hfruby27-polyglot-0.3.5.tgz
NetBSD 9.0earmv7hfruby30-polyglot-0.3.5.tgz
NetBSD 9.0earmv7hfruby25-polyglot-0.3.5.tgz
NetBSD 9.0earmv7hfruby26-polyglot-0.3.5.tgz
NetBSD 9.0earmv7hfruby27-polyglot-0.3.5.tgz
NetBSD 9.0earmv7hfruby25-polyglot-0.3.5.tgz
NetBSD 9.0earmv7hfruby26-polyglot-0.3.5.tgz
NetBSD 9.0earmv7hfruby27-polyglot-0.3.5.tgz
NetBSD 9.0earmv7hfruby25-polyglot-0.3.5.tgz
NetBSD 9.0earmv7hfruby26-polyglot-0.3.5.tgz
NetBSD 9.0earmv7hfruby27-polyglot-0.3.5.tgz
NetBSD 9.0i386ruby25-polyglot-0.3.5.tgz
NetBSD 9.0i386ruby26-polyglot-0.3.5.tgz
NetBSD 9.0i386ruby27-polyglot-0.3.5.tgz
NetBSD 9.0i386ruby25-polyglot-0.3.5.tgz
NetBSD 9.0i386ruby26-polyglot-0.3.5.tgz
NetBSD 9.0i386ruby27-polyglot-0.3.5.tgz
NetBSD 9.0i386ruby25-polyglot-0.3.5.tgz
NetBSD 9.0i386ruby26-polyglot-0.3.5.tgz
NetBSD 9.0i386ruby27-polyglot-0.3.5.tgz
NetBSD 9.0i386ruby30-polyglot-0.3.5.tgz
NetBSD 9.0mips64ebruby25-polyglot-0.3.5.tgz
NetBSD 9.0mips64ebruby26-polyglot-0.3.5.tgz
NetBSD 9.0mips64ebruby27-polyglot-0.3.5.tgz
NetBSD 9.0mips64ebruby25-polyglot-0.3.5.tgz
NetBSD 9.0mips64ebruby26-polyglot-0.3.5.tgz
NetBSD 9.0mips64ebruby27-polyglot-0.3.5.tgz
NetBSD 9.0mips64ebruby25-polyglot-0.3.5.tgz
NetBSD 9.0mips64ebruby26-polyglot-0.3.5.tgz
NetBSD 9.0mips64ebruby27-polyglot-0.3.5.tgz
NetBSD 9.0powerpcruby24-polyglot-0.3.5.tgz
NetBSD 9.0powerpcruby25-polyglot-0.3.5.tgz
NetBSD 9.0powerpcruby26-polyglot-0.3.5.tgz
NetBSD 9.0powerpcruby27-polyglot-0.3.5.tgz
NetBSD 9.0powerpcruby24-polyglot-0.3.5.tgz
NetBSD 9.0powerpcruby25-polyglot-0.3.5.tgz
NetBSD 9.0powerpcruby26-polyglot-0.3.5.tgz
NetBSD 9.0powerpcruby27-polyglot-0.3.5.tgz
NetBSD 9.0sparc64ruby25-polyglot-0.3.5.tgz
NetBSD 9.0sparc64ruby26-polyglot-0.3.5.tgz
NetBSD 9.0sparc64ruby27-polyglot-0.3.5.tgz
NetBSD 9.0sparc64ruby25-polyglot-0.3.5.tgz
NetBSD 9.0sparc64ruby26-polyglot-0.3.5.tgz
NetBSD 9.0sparc64ruby27-polyglot-0.3.5.tgz
NetBSD 9.0sparc64ruby25-polyglot-0.3.5.tgz
NetBSD 9.0sparc64ruby26-polyglot-0.3.5.tgz
NetBSD 9.0sparc64ruby27-polyglot-0.3.5.tgz
NetBSD 9.0sparc64ruby25-polyglot-0.3.5.tgz
NetBSD 9.0sparc64ruby26-polyglot-0.3.5.tgz
NetBSD 9.0sparc64ruby27-polyglot-0.3.5.tgz
NetBSD 9.0sparcruby25-polyglot-0.3.5.tgz
NetBSD 9.0sparcruby27-polyglot-0.3.5.tgz
NetBSD 9.0sparcruby25-polyglot-0.3.5.tgz
NetBSD 9.0sparcruby27-polyglot-0.3.5.tgz
NetBSD 9.0sparcruby25-polyglot-0.3.5.tgz
NetBSD 9.0sparcruby27-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby25-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby26-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby27-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby25-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby26-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby27-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby25-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby26-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby27-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby25-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby26-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby27-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby25-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby26-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby27-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby25-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby26-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby27-polyglot-0.3.5.tgz
NetBSD 9.0x86_64ruby30-polyglot-0.3.5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.